#
# spec file for package python-google-cloud-domains
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-domains
Version:        1.7.3
Release:        1.3
Summary:        Google Cloud Domains API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-domains
Source:         https://files.pythonhosted.org/packages/source/g/google-cloud-domains/google-cloud-domains-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.0}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.19.5}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.0
Requires:       python-google-auth >= 2.14.1
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.19.5
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Domains API client library

%prep
%autosetup -p1 -n google-cloud-domains-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/domains
%{python_sitelib}/google/cloud/domains_v1
%{python_sitelib}/google/cloud/domains_v1beta1
%{python_sitelib}/google_cloud_domains-%{version}.dist-info

%changelog
* Wed Jun 19 2024 Dirk Müller <dmueller@suse.com>
- update to 1.7.3:
  * Exclude google-auth 2.24.0 and 2.25.
  * fix ValueError in test__validate_universe_domain
  * deps: [Many APIs] Require google-api-core>=1.34.1
* Fri Feb  9 2024 Dirk Müller <dmueller@suse.com>
- update to 1.7.1:
  * Add google-auth as a direct dependency
  * Add staticmethod decorator to _get_client_cert_source and
    _get_api_endpoint
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
  * Allow users to explicitly configure universe domain
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- add tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version (jsc#PED-6697)
